Bug 87641 - [Shadow DOM] Add an assertion to make sure that an inaccessible node is not set to event's target or relatedTarget in event dispatching
Summary: [Shadow DOM] Add an assertion to make sure that an inaccessible node is not s...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hayato Ito
URL:
Keywords:
Depends on:
Blocks: 59805
  Show dependency treegraph
 
Reported: 2012-05-28 02:12 PDT by Hayato Ito
Modified: 2012-06-18 15:58 PDT (History)
6 users (show)

See Also:


Attachments
add assertions (2.86 KB, patch)
2012-05-28 05:06 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff
Patch for landing (2.91 KB, patch)
2012-05-29 19:07 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hayato Ito 2012-05-28 02:12:52 PDT
We should have an assertion to make sure that an inaccessible node is not set to event's target or relatedTarget in event dispatching.
Comment 1 Hayato Ito 2012-05-28 05:06:27 PDT
Created attachment 144335 [details]
add assertions
Comment 2 Dimitri Glazkov (Google) 2012-05-29 09:44:31 PDT
Comment on attachment 144335 [details]
add assertions

View in context: https://bugs.webkit.org/attachment.cgi?id=144335&action=review

> Source/WebCore/dom/EventContext.h:52
> +    bool accessible(Node*);

Might as well not compile it in NDEBUG.
Comment 3 Hayato Ito 2012-05-29 18:45:37 PDT
Thank you for the review.

(In reply to comment #2)
> (From update of attachment 144335 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=144335&action=review
> 
> > Source/WebCore/dom/EventContext.h:52
> > +    bool accessible(Node*);
> 
> Might as well not compile it in NDEBUG.

Okay. I'll guard it using NDEBUG. Let me land this patch after that.
Comment 4 Hayato Ito 2012-05-29 19:07:30 PDT
Created attachment 144676 [details]
Patch for landing
Comment 5 WebKit Review Bot 2012-05-29 21:06:09 PDT
Comment on attachment 144676 [details]
Patch for landing

Clearing flags on attachment: 144676

Committed r118889: <http://trac.webkit.org/changeset/118889>
Comment 6 WebKit Review Bot 2012-05-29 21:06:14 PDT
All reviewed patches have been landed.  Closing bug.